<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/ObjectSpawner.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d4b/_object_spawner_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ObjectSpawner.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d4b/_object_spawner_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../df/d9b/class_object_spawner_handler.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../df/d9b/class_object_spawner_handler.html">ObjectSpawnerHandler</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>    <span class="comment">//---------------------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../df/d9b/class_object_spawner_handler.html#ae26be93be9f524a80f5e6c86dfe4a610">    4</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d9b/class_object_spawner_handler.html#ae26be93be9f524a80f5e6c86dfe4a610">SpawnObjects</a>()</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    {</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <span class="keywordflow">if</span>( <a class="code hl_class" href="../../d7/dbe/class_cfg_gameplay_handler.html">CfgGameplayHandler</a>.<a class="code hl_function" href="../../d7/dbe/class_cfg_gameplay_handler.html#a2705338f90204fd396ed0a1252f8d108">GetObjectSpawnersArr</a>() &amp;&amp; <a class="code hl_class" href="../../d7/dbe/class_cfg_gameplay_handler.html">CfgGameplayHandler</a>.<a class="code hl_function" href="../../d7/dbe/class_cfg_gameplay_handler.html#a2705338f90204fd396ed0a1252f8d108">GetObjectSpawnersArr</a>().Count() &gt; 0 )</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        {</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>            <a class="code hl_class" href="../../d2/d41/classarray.html">TStringArray</a> arr = <a class="code hl_class" href="../../d7/dbe/class_cfg_gameplay_handler.html">CfgGameplayHandler</a>.<a class="code hl_function" href="../../d7/dbe/class_cfg_gameplay_handler.html#a2705338f90204fd396ed0a1252f8d108">GetObjectSpawnersArr</a>();</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>            <span class="keywordflow">foreach</span>(<span class="keywordtype">string</span> spawner_json: arr)</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>            {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>                <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a> = <span class="stringliteral">&quot;$mission:&quot;</span>+spawner_json;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>                </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>                <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d5/df6/group___file.html#gac8ac6334d3ec51a5537c4ea4f6c57e04">FileExist</a>( <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a> ) )</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>                {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>                    <a class="code hl_class" href="../../dc/df6/class_object_spawner_json.html">ObjectSpawnerJson</a> spawner;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>                    JsonFileLoader&lt;ObjectSpawnerJson&gt;.JsonLoadFile( <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a>, spawner );</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>                    <span class="keywordflow">foreach</span> (<a class="code hl_class" href="../../d9/dca/class_i_t_e_m___spawner_object.html">ITEM_SpawnerObject</a> o: spawner.<a class="code hl_variable" href="../../dc/df6/class_object_spawner_json.html#a990dbe387c3e49cc8b3bbcacf57844c6">Objects</a>)</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>                    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>                        <a class="code hl_function" href="../../df/d9b/class_object_spawner_handler.html#a13c6fbbbec5f1f18405c2110d50cf2cf">SpawnObject</a>(o);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>                    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>                }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="comment">//---------------------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../df/d9b/class_object_spawner_handler.html#a13c6fbbbec5f1f18405c2110d50cf2cf">   27</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d9b/class_object_spawner_handler.html#a13c6fbbbec5f1f18405c2110d50cf2cf">SpawnObject</a>(<a class="code hl_class" href="../../d9/dca/class_i_t_e_m___spawner_object.html">ITEM_SpawnerObject</a> item)</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> <span class="keywordtype">object</span> = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aa43d24a500987d3a093913ad7551dff8">CreateObjectEx</a>(item.<a class="code hl_variable" href="../../d9/dca/class_i_t_e_m___spawner_object.html#af53f479b0f6b4994cbbace81695f8aa4">name</a>, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_function" href="../../d7/dfc/classvector.html#a5f52b496fb3f21f74ab18ba12c473c58">ArrayToVec</a>(item.<a class="code hl_variable" href="../../d9/dca/class_i_t_e_m___spawner_object.html#adb178009ed44ac1fd45f68a629cc7b71">pos</a>), <a class="code hl_variable" href="../../db/d35/_central_economy_8c.html#a5b3ddad7d1af49fda8f9bd4bf67d3938">ECE_SETUP</a> | <a class="code hl_variable" href="../../db/d35/_central_economy_8c.html#a62ceb6c3dfa0a5ab0ea09985591162e5">ECE_UPDATEPATHGRAPH</a> | <a class="code hl_variable" href="../../db/d35/_central_economy_8c.html#af301ac365e91a0c639affaaf7d79d169">ECE_CREATEPHYSICS</a>);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">if</span> ( <span class="keywordtype">object</span> )</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            <span class="keywordtype">object</span>.SetOrientation( <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_function" href="../../d7/dfc/classvector.html#a5f52b496fb3f21f74ab18ba12c473c58">ArrayToVec</a>(item.<a class="code hl_variable" href="../../d9/dca/class_i_t_e_m___spawner_object.html#a9e4dd9122e9aeaf952ad318c8f9f26c0">ypr</a>));</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    <span class="comment">//---------------------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../df/d9b/class_object_spawner_handler.html#ad6ba9dc40c3f0ac83829ca4c097ae246">   36</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d9b/class_object_spawner_handler.html#ad6ba9dc40c3f0ac83829ca4c097ae246">OnGameplayDataHandlerLoad</a>()</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <a class="code hl_function" href="../../df/d9b/class_object_spawner_handler.html#ae26be93be9f524a80f5e6c86dfe4a610">SpawnObjects</a>();</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    <span class="comment">//---------------------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>};</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../dc/df6/class_object_spawner_json.html">   43</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dc/df6/class_object_spawner_json.html">ObjectSpawnerJson</a></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>{</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../dc/df6/class_object_spawner_json.html#a990dbe387c3e49cc8b3bbcacf57844c6">   45</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref ITEM_SpawnerObject&gt;</a> <a class="code hl_variable" href="../../dc/df6/class_object_spawner_json.html#a990dbe387c3e49cc8b3bbcacf57844c6">Objects</a>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>};</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d9/dca/class_i_t_e_m___spawner_object.html">   48</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d9/dca/class_i_t_e_m___spawner_object.html">ITEM_SpawnerObject</a></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>{</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../d9/dca/class_i_t_e_m___spawner_object.html#af53f479b0f6b4994cbbace81695f8aa4">   50</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d9/dca/class_i_t_e_m___spawner_object.html#af53f479b0f6b4994cbbace81695f8aa4">name</a>;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d9/dca/class_i_t_e_m___spawner_object.html#adb178009ed44ac1fd45f68a629cc7b71">   51</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d9/dca/class_i_t_e_m___spawner_object.html#adb178009ed44ac1fd45f68a629cc7b71">pos</a>[3];</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d9/dca/class_i_t_e_m___spawner_object.html#a9e4dd9122e9aeaf952ad318c8f9f26c0">   52</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d9/dca/class_i_t_e_m___spawner_object.html#a9e4dd9122e9aeaf952ad318c8f9f26c0">ypr</a>[3];</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>};</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../d4/d58/class_spawn_data_converter.html">   57</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d4/d58/class_spawn_data_converter.html">SpawnDataConverter</a></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>{</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../d4/d58/class_spawn_data_converter.html#a2771fefd63521922b0fcf5dd261d018d">   59</a></span>    <span class="keyword">static</span> ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref ITEM_SpawnerObject&gt;</a> <a class="code hl_variable" href="../../d4/d58/class_spawn_data_converter.html#a2771fefd63521922b0fcf5dd261d018d">Objects</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref ITEM_SpawnerObject&gt;</a>;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../d4/d58/class_spawn_data_converter.html#a65a21fc4ac4d9ded04571d3113b8fe72">   60</a></span>    <span class="keyword">static</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d4/d58/class_spawn_data_converter.html#a65a21fc4ac4d9ded04571d3113b8fe72">m_Path</a> = <span class="stringliteral">&quot;$mission:MySpawnData.json&quot;</span>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../d4/d58/class_spawn_data_converter.html#a058073e6f35bfb1525c2360ab17b4325">   62</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d58/class_spawn_data_converter.html#a058073e6f35bfb1525c2360ab17b4325">SpawnObjects</a>()</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <a class="code hl_variable" href="../../d4/d58/class_spawn_data_converter.html#a2771fefd63521922b0fcf5dd261d018d">Objects</a>.Clear();</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <a class="code hl_function" href="../../d4/d58/class_spawn_data_converter.html#af27c10d2289bba96ea0870c0530c13a5">SpawnInit</a>();</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <a class="code hl_class" href="../../dc/df6/class_object_spawner_json.html">ObjectSpawnerJson</a> j = <span class="keyword">new</span> <a class="code hl_class" href="../../dc/df6/class_object_spawner_json.html">ObjectSpawnerJson</a>;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        j.<a class="code hl_variable" href="../../dc/df6/class_object_spawner_json.html#a990dbe387c3e49cc8b3bbcacf57844c6">Objects</a> = <a class="code hl_variable" href="../../d4/d58/class_spawn_data_converter.html#a2771fefd63521922b0fcf5dd261d018d">Objects</a>;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        JsonFileLoader&lt;ObjectSpawnerJson&gt;.JsonSaveFile(<a class="code hl_variable" href="../../d4/d58/class_spawn_data_converter.html#a65a21fc4ac4d9ded04571d3113b8fe72">m_Path</a>, j );</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../d4/d58/class_spawn_data_converter.html#af27c10d2289bba96ea0870c0530c13a5">   71</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d58/class_spawn_data_converter.html#af27c10d2289bba96ea0870c0530c13a5">SpawnInit</a>()</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <a class="code hl_function" href="../../d4/d58/class_spawn_data_converter.html#a99854a99f4c4337525675f87f7929744">AddSpawnData</a>( <span class="stringliteral">&quot;Land_Wall_Gate_FenR&quot;</span>, <span class="stringliteral">&quot;8406.501953 107.736824 12782.338867&quot;</span>, <span class="stringliteral">&quot;0.000000 0.000000 0.000000&quot;</span> );</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <a class="code hl_function" href="../../d4/d58/class_spawn_data_converter.html#a99854a99f4c4337525675f87f7929744">AddSpawnData</a>( <span class="stringliteral">&quot;Land_Wall_Gate_FenR&quot;</span>, <span class="stringliteral">&quot;8410.501953 107.736824 12782.338867&quot;</span>, <span class="stringliteral">&quot;0.000000 0.000000 0.000000&quot;</span> );</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <a class="code hl_function" href="../../d4/d58/class_spawn_data_converter.html#a99854a99f4c4337525675f87f7929744">AddSpawnData</a>( <span class="stringliteral">&quot;Land_Wall_Gate_FenR&quot;</span>, <span class="stringliteral">&quot;8416.501953 107.736824 12782.338867&quot;</span>, <span class="stringliteral">&quot;0.000000 0.000000 0.000000&quot;</span> );</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <a class="code hl_function" href="../../d4/d58/class_spawn_data_converter.html#a99854a99f4c4337525675f87f7929744">AddSpawnData</a>( <span class="stringliteral">&quot;Land_Wall_Gate_FenR&quot;</span>, <span class="stringliteral">&quot;8422.501953 107.736824 12782.338867&quot;</span>, <span class="stringliteral">&quot;0.000000 0.000000 0.000000&quot;</span> );</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span> </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    }</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../d4/d58/class_spawn_data_converter.html#a99854a99f4c4337525675f87f7929744">   79</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d58/class_spawn_data_converter.html#a99854a99f4c4337525675f87f7929744">AddSpawnData</a>(<span class="keywordtype">string</span> objectName, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> position, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> orientation)</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <a class="code hl_class" href="../../d9/dca/class_i_t_e_m___spawner_object.html">ITEM_SpawnerObject</a> obj = <span class="keyword">new</span> <a class="code hl_class" href="../../d9/dca/class_i_t_e_m___spawner_object.html">ITEM_SpawnerObject</a>;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        obj.<a class="code hl_variable" href="../../d9/dca/class_i_t_e_m___spawner_object.html#af53f479b0f6b4994cbbace81695f8aa4">name</a> = objectName;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        obj.<a class="code hl_variable" href="../../d9/dca/class_i_t_e_m___spawner_object.html#adb178009ed44ac1fd45f68a629cc7b71">pos</a>[0] = position[0];</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        obj.<a class="code hl_variable" href="../../d9/dca/class_i_t_e_m___spawner_object.html#adb178009ed44ac1fd45f68a629cc7b71">pos</a>[1] = position[1];</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        obj.<a class="code hl_variable" href="../../d9/dca/class_i_t_e_m___spawner_object.html#adb178009ed44ac1fd45f68a629cc7b71">pos</a>[2] = position[2];</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        obj.<a class="code hl_variable" href="../../d9/dca/class_i_t_e_m___spawner_object.html#a9e4dd9122e9aeaf952ad318c8f9f26c0">ypr</a>[0] = orientation[0];</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        obj.<a class="code hl_variable" href="../../d9/dca/class_i_t_e_m___spawner_object.html#a9e4dd9122e9aeaf952ad318c8f9f26c0">ypr</a>[1] = orientation[1];</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        obj.<a class="code hl_variable" href="../../d9/dca/class_i_t_e_m___spawner_object.html#a9e4dd9122e9aeaf952ad318c8f9f26c0">ypr</a>[2] = orientation[2];</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <a class="code hl_variable" href="../../d4/d58/class_spawn_data_converter.html#a2771fefd63521922b0fcf5dd261d018d">Objects</a>.Insert(obj);</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span> </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>};</div>
<div class="ttc" id="a_central_economy_8c_html_a5b3ddad7d1af49fda8f9bd4bf67d3938"><div class="ttname"><a href="../../db/d35/_central_economy_8c.html#a5b3ddad7d1af49fda8f9bd4bf67d3938">ECE_SETUP</a></div><div class="ttdeci">const int ECE_SETUP</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d35/_central_economy_8c_source.html#l00009">CentralEconomy.c:9</a></div></div>
<div class="ttc" id="a_central_economy_8c_html_a62ceb6c3dfa0a5ab0ea09985591162e5"><div class="ttname"><a href="../../db/d35/_central_economy_8c.html#a62ceb6c3dfa0a5ab0ea09985591162e5">ECE_UPDATEPATHGRAPH</a></div><div class="ttdeci">const int ECE_UPDATEPATHGRAPH</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d35/_central_economy_8c_source.html#l00013">CentralEconomy.c:13</a></div></div>
<div class="ttc" id="a_central_economy_8c_html_af301ac365e91a0c639affaaf7d79d169"><div class="ttname"><a href="../../db/d35/_central_economy_8c.html#af301ac365e91a0c639affaaf7d79d169">ECE_CREATEPHYSICS</a></div><div class="ttdeci">const int ECE_CREATEPHYSICS</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d35/_central_economy_8c_source.html#l00016">CentralEconomy.c:16</a></div></div>
<div class="ttc" id="a_option_selector_multistate_8c_html_a46c20eb2a26abeb1e934cd66e1dd6484"><div class="ttname"><a href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a></div><div class="ttdeci">string path</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00149">OptionSelectorMultistate.c:149</a></div></div>
<div class="ttc" id="aclass_c_game_html_aa43d24a500987d3a093913ad7551dff8"><div class="ttname"><a href="../../d2/de6/class_c_game.html#aa43d24a500987d3a093913ad7551dff8">CGame::CreateObjectEx</a></div><div class="ttdeci">proto native Object CreateObjectEx(string type, vector pos, int iFlags, int iRotation=RF_DEFAULT)</div><div class="ttdoc">Creates object of certain type.</div></div>
<div class="ttc" id="aclass_cfg_gameplay_handler_html"><div class="ttname"><a href="../../d7/dbe/class_cfg_gameplay_handler.html">CfgGameplayHandler</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/ddf/_cfg_gameplay_handler_8c_source.html#l00001">CfgGameplayHandler.c:2</a></div></div>
<div class="ttc" id="aclass_cfg_gameplay_handler_html_a2705338f90204fd396ed0a1252f8d108"><div class="ttname"><a href="../../d7/dbe/class_cfg_gameplay_handler.html#a2705338f90204fd396ed0a1252f8d108">CfgGameplayHandler::GetObjectSpawnersArr</a></div><div class="ttdeci">static TStringArray GetObjectSpawnersArr()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/ddf/_cfg_gameplay_handler_8c_source.html#l00085">CfgGameplayHandler.c:85</a></div></div>
<div class="ttc" id="aclass_i_t_e_m___spawner_object_html"><div class="ttname"><a href="../../d9/dca/class_i_t_e_m___spawner_object.html">ITEM_SpawnerObject</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d4b/_object_spawner_8c_source.html#l00048">ObjectSpawner.c:49</a></div></div>
<div class="ttc" id="aclass_i_t_e_m___spawner_object_html_a9e4dd9122e9aeaf952ad318c8f9f26c0"><div class="ttname"><a href="../../d9/dca/class_i_t_e_m___spawner_object.html#a9e4dd9122e9aeaf952ad318c8f9f26c0">ITEM_SpawnerObject::ypr</a></div><div class="ttdeci">float ypr[3]</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d4b/_object_spawner_8c_source.html#l00052">ObjectSpawner.c:52</a></div></div>
<div class="ttc" id="aclass_i_t_e_m___spawner_object_html_adb178009ed44ac1fd45f68a629cc7b71"><div class="ttname"><a href="../../d9/dca/class_i_t_e_m___spawner_object.html#adb178009ed44ac1fd45f68a629cc7b71">ITEM_SpawnerObject::pos</a></div><div class="ttdeci">float pos[3]</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d4b/_object_spawner_8c_source.html#l00051">ObjectSpawner.c:51</a></div></div>
<div class="ttc" id="aclass_i_t_e_m___spawner_object_html_af53f479b0f6b4994cbbace81695f8aa4"><div class="ttname"><a href="../../d9/dca/class_i_t_e_m___spawner_object.html#af53f479b0f6b4994cbbace81695f8aa4">ITEM_SpawnerObject::name</a></div><div class="ttdeci">string name</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d4b/_object_spawner_8c_source.html#l00050">ObjectSpawner.c:50</a></div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclass_object_spawner_handler_html"><div class="ttname"><a href="../../df/d9b/class_object_spawner_handler.html">ObjectSpawnerHandler</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d4b/_object_spawner_8c_source.html#l00001">ObjectSpawner.c:2</a></div></div>
<div class="ttc" id="aclass_object_spawner_handler_html_a13c6fbbbec5f1f18405c2110d50cf2cf"><div class="ttname"><a href="../../df/d9b/class_object_spawner_handler.html#a13c6fbbbec5f1f18405c2110d50cf2cf">ObjectSpawnerHandler::SpawnObject</a></div><div class="ttdeci">static void SpawnObject(ITEM_SpawnerObject item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d4b/_object_spawner_8c_source.html#l00027">ObjectSpawner.c:27</a></div></div>
<div class="ttc" id="aclass_object_spawner_handler_html_ad6ba9dc40c3f0ac83829ca4c097ae246"><div class="ttname"><a href="../../df/d9b/class_object_spawner_handler.html#ad6ba9dc40c3f0ac83829ca4c097ae246">ObjectSpawnerHandler::OnGameplayDataHandlerLoad</a></div><div class="ttdeci">static void OnGameplayDataHandlerLoad()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d4b/_object_spawner_8c_source.html#l00036">ObjectSpawner.c:36</a></div></div>
<div class="ttc" id="aclass_object_spawner_handler_html_ae26be93be9f524a80f5e6c86dfe4a610"><div class="ttname"><a href="../../df/d9b/class_object_spawner_handler.html#ae26be93be9f524a80f5e6c86dfe4a610">ObjectSpawnerHandler::SpawnObjects</a></div><div class="ttdeci">static void SpawnObjects()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d4b/_object_spawner_8c_source.html#l00004">ObjectSpawner.c:4</a></div></div>
<div class="ttc" id="aclass_object_spawner_json_html"><div class="ttname"><a href="../../dc/df6/class_object_spawner_json.html">ObjectSpawnerJson</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d4b/_object_spawner_8c_source.html#l00043">ObjectSpawner.c:44</a></div></div>
<div class="ttc" id="aclass_object_spawner_json_html_a990dbe387c3e49cc8b3bbcacf57844c6"><div class="ttname"><a href="../../dc/df6/class_object_spawner_json.html#a990dbe387c3e49cc8b3bbcacf57844c6">ObjectSpawnerJson::Objects</a></div><div class="ttdeci">ref array&lt; ref ITEM_SpawnerObject &gt; Objects</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d4b/_object_spawner_8c_source.html#l00045">ObjectSpawner.c:45</a></div></div>
<div class="ttc" id="aclass_spawn_data_converter_html"><div class="ttname"><a href="../../d4/d58/class_spawn_data_converter.html">SpawnDataConverter</a></div><div class="ttdoc">Utility class that converts init.c format type of spawn commands to a json file, fill in the SpawnIni...</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d4b/_object_spawner_8c_source.html#l00057">ObjectSpawner.c:58</a></div></div>
<div class="ttc" id="aclass_spawn_data_converter_html_a058073e6f35bfb1525c2360ab17b4325"><div class="ttname"><a href="../../d4/d58/class_spawn_data_converter.html#a058073e6f35bfb1525c2360ab17b4325">SpawnDataConverter::SpawnObjects</a></div><div class="ttdeci">static void SpawnObjects()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d4b/_object_spawner_8c_source.html#l00062">ObjectSpawner.c:62</a></div></div>
<div class="ttc" id="aclass_spawn_data_converter_html_a2771fefd63521922b0fcf5dd261d018d"><div class="ttname"><a href="../../d4/d58/class_spawn_data_converter.html#a2771fefd63521922b0fcf5dd261d018d">SpawnDataConverter::Objects</a></div><div class="ttdeci">static ref array&lt; ref ITEM_SpawnerObject &gt; Objects</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d4b/_object_spawner_8c_source.html#l00059">ObjectSpawner.c:59</a></div></div>
<div class="ttc" id="aclass_spawn_data_converter_html_a65a21fc4ac4d9ded04571d3113b8fe72"><div class="ttname"><a href="../../d4/d58/class_spawn_data_converter.html#a65a21fc4ac4d9ded04571d3113b8fe72">SpawnDataConverter::m_Path</a></div><div class="ttdeci">static string m_Path</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d4b/_object_spawner_8c_source.html#l00060">ObjectSpawner.c:60</a></div></div>
<div class="ttc" id="aclass_spawn_data_converter_html_a99854a99f4c4337525675f87f7929744"><div class="ttname"><a href="../../d4/d58/class_spawn_data_converter.html#a99854a99f4c4337525675f87f7929744">SpawnDataConverter::AddSpawnData</a></div><div class="ttdeci">static void AddSpawnData(string objectName, vector position, vector orientation)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d4b/_object_spawner_8c_source.html#l00079">ObjectSpawner.c:79</a></div></div>
<div class="ttc" id="aclass_spawn_data_converter_html_af27c10d2289bba96ea0870c0530c13a5"><div class="ttname"><a href="../../d4/d58/class_spawn_data_converter.html#af27c10d2289bba96ea0870c0530c13a5">SpawnDataConverter::SpawnInit</a></div><div class="ttdeci">static void SpawnInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d4b/_object_spawner_8c_source.html#l00071">ObjectSpawner.c:71</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array&lt; string &gt;</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00098">EnConvert.c:99</a></div></div>
<div class="ttc" id="aclassvector_html_a5f52b496fb3f21f74ab18ba12c473c58"><div class="ttname"><a href="../../d7/dfc/classvector.html#a5f52b496fb3f21f74ab18ba12c473c58">vector::ArrayToVec</a></div><div class="ttdeci">static vector ArrayToVec(float arr[])</div><div class="ttdoc">Covert static array of floats into a vector.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00495">EnConvert.c:495</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___file_html_gac8ac6334d3ec51a5537c4ea4f6c57e04"><div class="ttname"><a href="../../d5/df6/group___file.html#gac8ac6334d3ec51a5537c4ea4f6c57e04">FileExist</a></div><div class="ttdeci">proto bool FileExist(string name)</div><div class="ttdoc">Check existence of file.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../d1/d4b/_object_spawner_8c.html">ObjectSpawner.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
